Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I have mini 2 and it says that my device does not support it

more options

I tried to download Firefox focus and I get a message that says my iPad mini 2 is not supported. It is running 9.35 and is up to date. On the information page about the app it says it should work. What could be the problem?

All Replies (1)

more options

Hi Maryinredding

I agree with what you wrote. Assuming you are not in German, Austria and Switzerland, (and a few other countries like Russia, Ukraine, Belarus, Kazakhstan, China or Turkey) you should be able to install Firefox Focus on your iPad Mini 2 running the latest version of iOS 9 according to: https://support.mozilla.org/en-US/kb/focus#w_requirements

Can you please tell me what you see in:

1) iOS Settings -> General -> About->Model ?

and

2) iOS Settings -> General -> About->Version ?